﻿function HashMap(){
     /** Map 大小 **/
     var size = 0;
     /** 对象 **/
     var entry = new Object();
     
     /** 存 **/
     this.put = function (key , value) {
         if(!this.containsKey(key)) {
             size++ ;
         }
         entry[key] = value;
     }
     
     /** 取 **/
     this.get = function (key) {
         return this.containsKey(key) ? entry[key] : null;
     }
     /** 根据 value 取 key */
     this.getByValue = function(value) {
     	for(var prop in entry) {
             if(entry[prop] == value) {
                 return prop;
             }
         }
         return null;
     }
     
     /** 删除 **/
     this.remove = function ( key ) {
         if( this.containsKey(key) && ( delete entry[key] ) ) {
             size--;
         }
     }
     
     /** 是否包含 Key **/
     this.containsKey = function ( key ) {
         return (key in entry);
     }
     
     /** 是否包含 Value **/
     this.containsValue = function ( value ) {
         for(var prop in entry) {
             if(entry[prop] == value) {
                 return true;
             }
         }
         return false;
     }
     
     /** 所有 Value **/
     this.values = function () {
         var values = new Array();
         for(var prop in entry) {
             values.push(entry[prop]);
         }
         return values;
     }
     
     /** 所有 Key **/
     this.keys = function () {
         var keys = new Array();
         for(var prop in entry) {
             keys.push(prop);
         }
         return keys;
     }
     
     /** Map Size **/
     this.size = function () {
         return size;
     }
     
     /* 清空 */
     this.clear = function () {
         size = 0;
         entry = new Object();
     }
 }
		

var faceMap = new HashMap();
faceMap.put("/:D","20000");
faceMap.put("/CY","20001");
faceMap.put("/:)","20002");
faceMap.put("/:I","20003");
faceMap.put("/:*","20004");
faceMap.put("/:8","20005");
faceMap.put("/LOVE","20006");
faceMap.put("/:$","20007");
faceMap.put("/:>","20008");
faceMap.put("/D~","20009");
faceMap.put("/;)","20010");
faceMap.put("/:P","20011");
faceMap.put("/$D","20012");
faceMap.put("/COOL","20013");
faceMap.put("/GB","20014");
faceMap.put("/ZC","20015");
faceMap.put("/:!","20016");
faceMap.put("/SK","20017");
faceMap.put("/-O","20018");
faceMap.put("/:Z","20019");
faceMap.put("/88","20020");
faceMap.put("/:O","20021");
faceMap.put("/YD","20022");
faceMap.put("/:S","20023");
faceMap.put("/:?","20024");
faceMap.put("/-(","20025");
faceMap.put("/SX","20026");
faceMap.put("/:\\","20027");
faceMap.put("/%S","20028");
faceMap.put("/ZK","20029");
faceMap.put("/NLH","20030");
faceMap.put("/ZG","20031");
faceMap.put("/O(","20032");
faceMap.put("/FD","20033");
faceMap.put("/:(","20034");
faceMap.put("/TY","20035");
faceMap.put("/OT","20036");
faceMap.put("/NM","20037");
faceMap.put("/:X","20038");
faceMap.put("/DR","20039");
faceMap.put("/GIRL","20040");
faceMap.put("/ZB","20041");
faceMap.put("/MALL","20042");
faceMap.put("/JC","20043");
faceMap.put("/BOY","20044");
faceMap.put("/ZD","20045");
faceMap.put("/JF","20046");
faceMap.put("/FN","20047");
faceMap.put("/:<","20048");
faceMap.put("/HL","20049");
faceMap.put("/XS","20050");
faceMap.put("/YH","20051");
faceMap.put("/KISS","20052");
faceMap.put("/DX","20053");
faceMap.put("/KF","20054");
faceMap.put("/LW","20055");
faceMap.put("/KL","20056");
faceMap.put("/PG","20057");
faceMap.put("/XG","20058");
faceMap.put("/CF","20059");
faceMap.put("/FF","20060");
faceMap.put("/@@","20061");
faceMap.put("/:{","20062");
faceMap.put("/MAO","20063");
faceMap.put("/GOU","20064");
faceMap.put("/%@","20065");
faceMap.put("/PIG","20066");
faceMap.put("/DB","20067");
faceMap.put("/SUN","20068");
faceMap.put("/MOON","20069");
faceMap.put("/**","20070");
faceMap.put("/XY","20071");
faceMap.put("/YS","20072");
faceMap.put("/TQ","20073");
faceMap.put("/DS","20074");
faceMap.put("/DH","20075");
faceMap.put("/DY","20076");
faceMap.put("/YY","20077");
faceMap.put("/DP","20078");
faceMap.put("/SZ","20079");
faceMap.put("/BH","20080");
faceMap.put("/HAN","22000");
faceMap.put("/H88","22001");
faceMap.put("/HT_T","22002");
faceMap.put("/H$$","22003");
faceMap.put("/HWQ","22004");
faceMap.put("/HDH","22005");
faceMap.put("/HHXH","22006");
faceMap.put("/HCM","22007");
faceMap.put("/HHYM","22008");
faceMap.put("/HJSS","22009");
faceMap.put("/HGL","22010");
faceMap.put("/HMM","22011");
faceMap.put("/HWSW","22012");
faceMap.put("/H:-*","22013");
faceMap.put("/HSS","22014");
faceMap.put("/HFN","22015");
faceMap.put("/HT*","22016");
faceMap.put("/HWL","22017");
faceMap.put("/HGG","22018");
faceMap.put("/H:DX","22019");
faceMap.put("/HZR","22020");
faceMap.put("/HXZ","22021");
faceMap.put("/HZHS","22022");
faceMap.put("/HBYL","22023");
faceMap.put("/Hn!o","22024");
faceMap.put("/HHAH","22025");
faceMap.put("/PCQW","23000");
faceMap.put("/PSS","23001");
faceMap.put("/P@HH","23002");
faceMap.put("/PKG","23003");
faceMap.put("/PFW","23004");
faceMap.put("/PTY","23005");
faceMap.put("/P@O","23006");
faceMap.put("/P<~ ","23007");
faceMap.put("/P@HX","23008");
faceMap.put("/P@L","23009");
faceMap.put("/P*~","23010");
faceMap.put("/PX~","23011");
faceMap.put("/P- D","23012");
faceMap.put("/P:D","23013");
faceMap.put("/PTW","23014");
faceMap.put("/PDD","23015");
faceMap.put("/PNFW","23016");
faceMap.put("/PPS","23017");
faceMap.put("/PAM","23018");
faceMap.put("/P><","23019");
faceMap.put("/PJG","23020");
faceMap.put("/P@YU","23021");
faceMap.put("/PSY","23022");
faceMap.put("/PDCQ","23023");
faceMap.put("/PZY","23024");
faceMap.put("/PNY","23025");
faceMap.put("/PQS","23026");
faceMap.put("/P*D","23028");
faceMap.put("/PTN","23029");
faceMap.put("/PDQ","23030");
faceMap.put("/PXT","23031");
faceMap.put("/P||~","23032");
faceMap.put("/POL","23033");
faceMap.put("/PHWL","23034");
faceMap.put("/P:P","23035");
faceMap.put("/PHH","23036");
faceMap.put("/P@BQ","23037");
faceMap.put("/PWLL","23038");
faceMap.put("/PYX","23039");
faceMap.put("/PPG","23040");
faceMap.put("/BB42","20142");
faceMap.put("/BB43","20143");
faceMap.put("/BB44","20144");
faceMap.put("/BB45","20145");
faceMap.put("/BB46","20146");
faceMap.put("/BB47","20147");
faceMap.put("/BB48","20148");
faceMap.put("/BB49","20149");
faceMap.put("/BB50","20150");
faceMap.put("/BB51","20151");
faceMap.put("/BB52","20152");
faceMap.put("/BB53","20153");
faceMap.put("/BB54","20154");
faceMap.put("/BB55","20155");
faceMap.put("/BB56","20156");
faceMap.put("/BB57","20157");
faceMap.put("/BB58","20158");
faceMap.put("/BB59","20159");
faceMap.put("/BB60","20160");
faceMap.put("/BB61","20161");
faceMap.put("/BB62","20162");
faceMap.put("/BB63","20163");
faceMap.put("/BB64","20164");
faceMap.put("/BB65","20165");
faceMap.put("/BB66","20166");
faceMap.put("/BB67","20167");
faceMap.put("/BB68","20168");
faceMap.put("/BB69","20169");
faceMap.put("/BB70","20170");
faceMap.put("/BB71","20171");
faceMap.put("/BB72","20172");
faceMap.put("/BB73","20173");
faceMap.put("/BB74","20174");
faceMap.put("/BB75","20175");
faceMap.put("/BB76","20176");
faceMap.put("/BB77","20177");
faceMap.put("/BB78","20178");
faceMap.put("/BB79","20179");
faceMap.put("/BB80","20180");
faceMap.put("/BB81","20181");
faceMap.put("/BB82","20182");
faceMap.put("/BB83","20183");
faceMap.put("/BB84","20184");
faceMap.put("/BB85","20185");
faceMap.put("/BB86","20186");
faceMap.put("/BB87","20187");
faceMap.put("/BB88","20188");
faceMap.put("/BB89","20189");
faceMap.put("/BB90","20190");
faceMap.put("/BB91","20191");
faceMap.put("/BB92","20192");
faceMap.put("/BB93","20193");
faceMap.put("/BB94","20194");
faceMap.put("/BB95","20195");
faceMap.put("/BB96","20196");
faceMap.put("/BB97","20197");
faceMap.put("/BB98","20198");
faceMap.put("/BB99","20199");
faceMap.put("/CC1","20200");
faceMap.put("/CC2","20201");
faceMap.put("/CC3","20202");
faceMap.put("/CC4","20203");
faceMap.put("/CC5","20204");
faceMap.put("/CC6","20205");
